#!/bin/sh
#Mount an update iso file and execute the install script
#Parameters: 
# $1 = Name of the iso file, e.g. xxx.iso
#
# Logger file is  /var/log/messages   
LOGGER=/bin/logger

LOG () {

 $LOGGER "installpatch.sh:$1"

}

rmdir ./tmppatch
mkdir ./tmppatch
isoname=`ls *.iso`

LOG "installing $isoname"

LOG "mount -o loop $isoname tmppatch..."
mount -o loop $isoname tmppatch || {
        LOG "ERROR: installpatch mount failed."
        exit 1
    }

LOG "cmd=cat tmppatch/*.vmii..."
cmd=`cat tmppatch/*.vmii`
eval $cmd || {
        LOG "ERROR: installpatch $cmd failed."
        exit 2
    }
# 130063: Add additional AccipiterInfoCenter2.iso to update package install    
if [ -f ./tmppatch/$UPDATE_SCRIPT ]
then  
  LOG "./tmppatch/$UPDATE_SCRIPT - (UPDATE_SCRIPT)..."  
  ./tmppatch/$UPDATE_SCRIPT || {
        LOG "ERROR: installpatch $UPDATE_SCRIPT failed."
        exit 3
    }
elif [ -f ./tmppatch/$INSTALL_SCRIPT ]
then   
  LOG "./tmppatch/$INSTALL_SCRIPT - (INSTALL_SCRIPT)..." 
  ./tmppatch/$INSTALL_SCRIPT || {
        LOG "ERROR: installpatch $INSTALL_SCRIPT failed."
        exit 4
    }
fi

LOG "umount tmppatch..."
umount tmppatch || {
        LOG "ERROR: installpatch umount failed."
        exit 5
    }

LOG "install of $isoname complete."
exit 0


